require 'spec_helper'

describe MixcloudParser do
  describe 'Check file exist' do
    context 'when file is downloaded' do
      path = '/home/taktes/MixCloud/'
      url = 'https://www.mixcloud.com/RedBullThre3style/dj-short-philippines-cebu-qualifier/'
      file = MixcloudParser::Parser.new(url, path)
      file.parse

      it 'file exist' do
        expect(File.exist?("#{ path }DJ Short | Philippines | Cebu Qualifier.m4a")).to equal(true)
      end
    end
  end

  describe 'Check file size' do
    context 'when file is downloaded' do
      path = '/home/taktes/MixCloud/'
      url = 'https://www.mixcloud.com/RedBullThre3style/dj-short-philippines-cebu-qualifier/'
      file = MixcloudParser::Parser.new(url, path)
      file.parse

      it 'file size > 0' do
        expect(File.size("#{ path }DJ Short | Philippines | Cebu Qualifier.m4a") > 0).to equal(true)
      end
    end
  end
end
